Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar30
Interface EnterpriseBeansType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  EnterpriseBeansTypeImpl

    public interface EnterpriseBeansType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `enterprise-beansType` xsd type

Original Documentation:

The enterprise-beansType declares one or more enterprise
beans. Each bean can be a session, entity or message-driven
bean.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`EntityBeanType<EnterpriseBeansType<T>>` | `entity()` Returns the `entity` element
`java.util.List<EntityBeanType<EnterpriseBeansType<T>>>` | `getEntityList()` Returns all `entity` elements
`java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>>` | `getMessageDrivenList()` Returns all `message-driven` elements
`java.util.List<SessionBeanType<EnterpriseBeansType<T>>>` | `getSessionList()` Returns all `session` elements
`MessageDrivenBeanType<EnterpriseBeansType<T>>` | `messageDriven()` Returns the `message-driven` element
`EnterpriseBeansType<T>` | `removeAllEntity()` Removes all `entity` elements
`EnterpriseBeansType<T>` | `removeAllMessageDriven()` Removes all `message-driven` elements
`EnterpriseBeansType<T>` | `removeAllSession()` Removes all `session` elements
`SessionBeanType<EnterpriseBeansType<T>>` | `session()` Returns the `session` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllSession

    EnterpriseBeansType<T> removeAllSession()

  Removes all `session` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### session

    SessionBeanType<EnterpriseBeansType<T>> session()

  Returns the `session` element

  Returns:
    the node defined for the element `session`

### getSessionList

    java.util.List<SessionBeanType<EnterpriseBeansType<T>>> getSessionList()

  Returns all `session` elements

  Returns:
    list of `session`

### removeAllEntity

    EnterpriseBeansType<T> removeAllEntity()

  Removes all `entity` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### entity

    EntityBeanType<EnterpriseBeansType<T>> entity()

  Returns the `entity` element

  Returns:
    the node defined for the element `entity`

### getEntityList

    java.util.List<EntityBeanType<EnterpriseBeansType<T>>> getEntityList()

  Returns all `entity` elements

  Returns:
    list of `entity`

### removeAllMessageDriven

    EnterpriseBeansType<T> removeAllMessageDriven()

  Removes all `message-driven` elements

  Returns:
    the current instance of `EnterpriseBeansType`

### messageDriven

    MessageDrivenBeanType<EnterpriseBeansType<T>> messageDriven()

  Returns the `message-driven` element

  Returns:
    the node defined for the element `message-driven`

### getMessageDrivenList

    java.util.List<MessageDrivenBeanType<EnterpriseBeansType<T>>> getMessageDrivenList()

  Returns all `message-driven` elements

  Returns:
    list of `message-driven`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD